using Inspectron.Settings;
using VisionBuilder.UI.Common;
using VisionBuilder.UI.Common.Processing;

namespace VisionBuilder.UI.Recipes.HawkeyeRecipe;

public class HawkeyeRecognitionSettings(string cameraName) : BaseRecognitionControlSettings(cameraName)
{
    public bool AlwaysError { get; set; }

    public override void RegisterSettings(InspectronSettings settings)
    {
        base.RegisterSettings(settings);
        settings.RegisterSimple(this, () => AlwaysError, CameraName + "/" + "Recognition", nameof(AlwaysError));
    }
}